astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- FK4NoETerms

# FK4NoETerms

class `astropy.coordinates.``FK4NoETerms`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate or frame in the FK4 system, but with the E-terms of aberration removed.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  ra : `Angle`, optional, must be keyword

  > The RA for this object (`dec` must also be given and `representation` must be None).

  dec : `Angle`, optional, must be keyword

  > The Declination for this object (`ra` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight. (`representation` must be None).

  obstime : astropy.time.Time, optional, must be keyword

  > The time this frame was observed. If None, will be the same as `equinox`.

  Attributes Summary

  `default_representation` |
  `equinox` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |
  `obstime` |

  Attributes Documentation

  `default_representation`
  `equinox` = <Time object: scale='tai' format='byear_str' value=B1950.000>
  `frame_attributes` = OrderedDict([('equinox', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f52386ef210>), ('obstime', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f52386ef2d0>)])
  `frame_specific_representation_info`
  `name` = 'fk4noeterms'
  `obstime` = None